image: node:latest

stages:
    - pretest
    - test
    - deployIntegration

before_script:
  - git config user.email "mickael.valentin@ynov.com"
  - git config user.name "mickael.valentin"

job:pretest:
  stage: pretest
  script:
    - npm i
    - npm run lint
  allow_failure: true
  only: 
    - develop

job:test:
  stage: test
  script:
    - npm i 
    - npm run start-test
  allow_failure: true
  only: 
    - develop

job:deployIntegration:
  stage: deployIntegration
  script:
    - npm i 
    - apt-get update -yq
    - apt-get install -y ruby-dev
    - gem install dpl
    - git remote add heroku https://heroku:$API_KEY_HEROKU@git.heroku.com/staging-my-socializer-api.git
    - git add .
    - git commit -m 'new deploy'
    - git push heroku master
    - dpl --provider=heroku --app=staging-my-socializer-api --api-key=$API_KEY_HEROKU
    - echo "deployed in integration"
  only: 
    - develop

  #test